# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: v1
entries:
  solr:
  - annotations:
      artifacthub.io/alternativeName: solrcloud
      artifacthub.io/category: database
      artifacthub.io/changes: |
        - kind: changed
          description: Minimum Kubernetes version has been upped to 1.21
          links:
            - name: GitHub PR
              url: https://github.com/apache/solr-operator/pull/473
        - kind: added
          description: Support custom annotations on created ServiceAccount
          links:
            - name: GitHub PR
              url: https://github.com/apache/solr-operator/pull/480
        - kind: fixed
          description: Fix namespace support for helm installation
          links:
            - name: GitHub PR
              url: https://github.com/apache/solr-operator/pull/508
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/images: |
        - name: solr
          image: solr:8.11
          whitelisted: true
      artifacthub.io/links: |
        - name: "Solr Source"
          url: https://github.com/apache/solr
        - name: "Helm Chart Source"
          url: https://github.com/apache/solr-operator
        - name: "Solr Documentation"
          url: https://solr.apache.org/guide/
        - name: "Solr on Kube Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "false"
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr-operator
      artifacthub.io/signKey: |
        fingerprint: 50E3EE1C91C7E0CB4DFB007B369424FC98F3F6EC
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: 8.11.1
    created: "2023-04-19T14:54:27.837129-04:00"
    description: A SolrCloud cluster running on Kubernetes via the Solr Operator
    digest: 2040776b28ff5f8f6b2868b1d58fe8a63414e3be469b6ab3df623a2ab471b2e4
    home: https://solr.apache.org
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    kubeVersion: '>= 1.21.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr
    sources:
    - https://github.com/apache/solr
    - https://github.com/apache/solr-operator
    urls:
    - solr-0.7.0.tgz
    version: 0.7.0
  solr-operator:
  - annotations:
      artifacthub.io/category: database
      artifacthub.io/changes: "- kind: changed\n  description: Minimum Kubernetes
        version has been upped to 1.21\n  links:\n    - name: GitHub PR\n      url:
        https://github.com/apache/solr-operator/pull/473\n- kind: changed\n  description:
        The required Zookeeper Operator version has been upgraded to v0.2.15\n  links:\n
        \   - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/549\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/550\n
        \   - name: Zookeeper Operator v0.2.15 Release\n      url: https://github.com/pravega/zookeeper-operator/releases/tag/v0.2.15\n-
        kind: fixed\n  description: Fix bug with named PVCs\n  links:\n    - name:
        Github Issue\n      url: https://github.com/apache/solr-operator/issues/479\n
        \   - name: Github PR\n      url: https://github.com/apache/solr-operator/pull/481\n-
        kind: added\n  description: Support custom annotations on created ServiceAccount\n
        \ links:\n    - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/480\n-
        kind: added\n  description: SolrClouds now have PodDisruptionBudgets enabled\n
        \ links:\n    - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/471\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/473\n
        \   - name: PodDisruptionBudget Documentation\n      url: https://kubernetes.io/docs/concepts/workloads/pods/disruptions/#pod-disruption-budgets\n-
        kind: fixed\n  description: Fix namespace support for helm installation and
        leader election\n  links:\n    - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/508\n-
        kind: changed\n  description: Zookeeper images now use the IfNotPresent pullPolicy
        by default\n  links:\n    - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/512/files\n-
        kind: fixed\n  description: Fix bug in non-recurring SolrBackups\n  links:\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/509\n-
        kind: fixed\n  description: Fix issue where Zookeeper specific labels are
        not propagated to Zookeeper pods\n  links:\n    - name: GitHub Issue\n      url:
        https://github.com/apache/solr-operator/issues/490\n    - name: Zookeeper
        Operator Issue\n      url: https://github.com/pravega/zookeeper-operator/issues/511\n-
        kind: fixed\n  description: Fix SolrBackup not taking backups when the collections
        field is omitted \n  links:\n    - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/515\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/516\n-
        kind: changed\n  description: Use better default startup, liveness and readiness
        probes for SolrCloud and SolrPrometheusExporter\n  links:\n    - name: GitHub
        Issue\n      url: https://github.com/apache/solr-operator/issues/510\n    -
        name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/511\n-
        kind: added\n  description: The SolrCloud common service now removes nodes
        that are about to be upgraded\n  links:\n    - name: GitHub Issue\n      url:
        https://github.com/apache/solr-operator/issues/529\n    - name: GitHub PR\n
        \     url: https://github.com/apache/solr-operator/pull/530\n    - name: Feature
        Documentation\n      url: https://apache.github.io/solr-operator/docs/solr-cloud/managed-updates.html#pod-readiness-during-updates\n-
        kind: fixed\n  description: Don't give port annotation for PrometheusExporter,
        let Prometheus find the port itself\n  links:\n    - name: GitHub Issue\n
        \     url: https://github.com/apache/solr-operator/issues/483\n    - name:
        GitHub PR\n      url: https://github.com/apache/solr-operator/pull/539\n-
        kind: fixed\n  description: Solr resource status are now patched instead of
        updated, this should reduce \"error\" logging in the operator.\n  links:\n
        \   - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/544\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/545\n-
        kind: added\n  description: Support custom Zookeeper probes\n  links:\n    -
        name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/477\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/546\n-
        kind: fixed\n  description: Avoid backup directory chown when directories
        are already writable\n  links:\n    - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/537\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/548\n-
        kind: added\n  description: Added Option to enable/disable the PodDisruptionBudget
        for the cluster.\n  links:\n    - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/538\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/540\n-
        kind: removed\n  description: Options deprecated in v0.6.0 have been been
        removed.\n  links:\n    - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/553\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/554\n-
        kind: fixed\n  description: Use correct user & group for chmod command in
        cp-solr-xml init container\n  links:\n    - name: GitHub Issue\n      url:
        https://github.com/apache/solr-operator/issues/519\n    - name: GitHub PR\n
        \     url: https://github.com/apache/solr-operator/pull/520\n- kind: added\n
        \ description: Add missing ZookeeperCluster customization options.\n  links:\n
        \   - name: GitHub Issue\n      url: https://github.com/apache/solr-operator/issues/557\n
        \   - name: GitHub PR\n      url: https://github.com/apache/solr-operator/pull/558\n"
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/crds: |
        - kind: SolrCloud
          version: v1beta1
          name: solrcloud.solr.apache.org
          displayName: Solr Cloud
          description: A distributed Solr Cloud cluster
        - kind: SolrPrometheusExporter
          version: v1beta1
          name: solrprometheusexporter.solr.apache.org
          displayName: Solr Prometheus Exporter
          description: A Prometheus metrics exporter for Solr
        - kind: SolrBackup
          version: v1beta1
          name: solrbackup.solr.apache.org
          displayName: Solr Backup
          description: A backup mechanism for Solr
      artifacthub.io/crdsExamples: |
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrCloud
          metadata:
            name: example
          spec:
            dataStorage:
              persistent:
                reclaimPolicy: Delete
                pvcTemplate:
                  spec:
                    resources:
                      requests:
                        storage: "20Gi"
            replicas: 3
            solrImage:
              tag: 8.11
            solrJavaMem: "-Xms4g -Xmx4g"
            customSolrKubeOptions:
              podOptions:
                resources:
                  requests:
                    memory: "6G"
            zookeeperRef:
              provided:
                replicas: 3
            solrOpts: "-Dsolr.autoSoftCommit.maxTime=10000"
            solrGCTune: "-XX:SurvivorRatio=4 -XX:TargetSurvivorRatio=90 -XX:MaxTenuringThreshold=8"
            backupRepositories:
              - name: default-gcs
                gcs:
                  bucket: solr-gcs-backups
                  gcsCredentialSecret: # Required unless deployed in GKE and using its "Workplace Identity" feature
                    name: gcs-credentials
                    key: "service-account-key.json"
                  baseLocation: "/solrcloud/backups"
              - name: default-s3
                s3:
                  region: us-west-2
                  bucket: solr-s3-backups
                  credentials:
                    accessKeyIdSecret: # Optional
                      name: aws-secrets
                      key: access-key-id
                    secretAccessKeySecret: # Optional
                      name: aws-secrets
                      key: secret-access-key
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrPrometheusExporter
          metadata:
            name: example
          spec:
            solrReference:
              cloud:
                name: "example"
            numThreads: 4
            image:
              tag: 8.11
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrBackup
          metadata:
            name: example
          spec:
            repositoryName: solr-gcs-backups
            solrCloud: example
            collections:
              - techproducts
              - books
            location: "/this/location"
      artifacthub.io/images: |
        - name: solr-operator
          image: apache/solr-operator:v0.7.0
      artifacthub.io/links: |
        - name: "Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "true"
      artifacthub.io/operatorCapabilities: Full Lifecycle
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr
      artifacthub.io/signKey: |
        fingerprint: 50E3EE1C91C7E0CB4DFB007B369424FC98F3F6EC
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: v0.7.0
    created: "2023-04-19T14:54:27.84786-04:00"
    dependencies:
    - condition: zookeeper-operator.install
      name: zookeeper-operator
      repository: https://charts.pravega.io
      version: 0.2.15
    description: The Solr Operator enables easy management of Solr resources within
      Kubernetes.
    digest: c0eb88fe0ee2c462ed8de08b017d5dc777da099ecad36a7c025f1ea2de2950d0
    home: https://solr.apache.org/operator
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    - operator
    kubeVersion: '>= 1.21.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr-operator
    sources:
    - https://github.com/apache/solr-operator
    urls:
    - solr-operator-0.7.0.tgz
    version: 0.7.0
generated: "2023-04-19T14:54:27.834914-04:00"
